package com.iotechn.unimall.data.mapper.gen;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.iotechn.unimall.data.domain.gen.GenTable;
import org.apache.ibatis.session.RowBounds;

import java.util.List;

public interface GenTableMapper extends BaseMapper<GenTable>{
	
	/**
     * 查询据库列表
     * 
     * @return 数据库表集合
     */
	public List<GenTable> selectDbTableList(RowBounds rowBounds,GenTable genTable);
	public Integer selectDbTableCount(GenTable genTable);
    public List<GenTable> selectDbTableListByNames(String[] tableNames);
    
}
